
From: Geert Uytterhoeven <geert@linux-m68k.org>

Amiga Frame buffer: Use `&' instead of `&=' (found by sparse, present since at
least 2.0.x)

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/amifb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/amifb.c~amifb-sparse-= drivers/video/amifb.c
--- 25/drivers/video/amifb.c~amifb-sparse-=	2004-07-26 17:26:03.228364160 -0700
+++ 25-akpm/drivers/video/amifb.c	2004-07-26 17:26:03.234363248 -0700
@@ -1309,7 +1309,7 @@ static int amifb_set_par(struct fb_info 
 		info->fix.ypanstep = 0;
 	} else {
 		info->fix.ywrapstep = 0;
-		if (par->vmode &= FB_VMODE_SMOOTH_XPAN)
+		if (par->vmode & FB_VMODE_SMOOTH_XPAN)
 			info->fix.xpanstep = 1;
 		else
 			info->fix.xpanstep = 16<<maxfmode;
_
